Bug 61902 - TABLE: table-calculation with links between table are lost on deleting lines
Summary: TABLE: table-calculation with links between table are lost on deleting lines
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Tables-Formulas
  Show dependency treegraph
 
Reported: 2013-03-06 13:53 UTC by qqqqqqqqq9
Modified: 2019-01-16 13:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example-odt (9.80 KB, application/vnd.oasis.opendocument.text)
2013-04-18 19:35 UTC, qqqqqqqqq9
Details
environment-variables (2.64 KB, text/plain)
2013-04-22 16:36 UTC, qqqqqqqqq9
Details

Note You need to log in before you can comment on or make changes to this bug.
Description qqqqqqqqq9 2013-03-06 13:53:40 UTC
Problem description: 

Steps to reproduce:
1. open a new writer document
2. insert 2 tables (7 columns x 3 lines)
3. add the following values in table 1 (adjust, if you have a non-german localization)

A1  2
B1  12,33
C1  14,95
D1  =<C1>-<B1>
E1  12,61
F1  =<E1>-<B1>
G1  =<F1>/<D1>

4. add the following values in table 2

A1  2
B1  12.35
C1  12.36
D1  =<C1>-<Tabelle1.B1>
E1  =<D1>/<Tabelle1.D1>
F1  =<D1>/<Tabelle1.F1>

5. The Cells (Table2) D1, E1, F1 read 0.03, 0.01 and 0.11, respectively.

6. Delete line 3 in table 2

7. Klick outside the table 

Current behavior:
The Cells (Table2) D1, E1, F1 read ** Fehlerhafter Ausdruck **,
mouseover shows <C1>-<?> for D1.

Expected behavior:

The Cells (Table2) D1, E1, F1 should read 0.03, 0.01 and 0.11, respectively.


              
Operating System: Linux (Other)
Version: 4.0.0.3 release
Comment 1 A (Andy) 2013-04-13 20:47:23 UTC
not reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Does this issue still persist for you with the latest release of LO?
Or is it maybe a Linux specific issue?

Note:
A, B, C, etc. means column 1, 2, 3, etc.
To insert the formulas: go to the cell and then to the menu TABLE and then to FORMULA (then you can the enter the formula as in Calc)
Comment 2 Joel Madero 2013-04-15 01:41:59 UTC
Marking as WFM - I can confirm that this works in 4.0.1.2 release as well as 4.1 master and 3.6.5.2.

@gggggggggg9 - if this is still an issue for a newer release than 4.0.0.3 release please reopen the bug and tell us more information. How are you deleting the row (highlight, right click - row - delete?)

Also please attach the document you are working with so we can work on the exact same document that is showing this behavior for you.

Thanks for reporting!

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 qqqqqqqqq9 2013-04-18 19:35:08 UTC
Hi, 

i still have the issue, however i seem to have missed a point in the procedure:

Instead of:
6. Delete line 3 in table 2
7. Klick outside the table 

it should be: 

6. Select all (or some) fields in line (or row) 3 in table 2
7. use Button 3 on those fields
8. select Zeile-Löschen (Row-Delete)(?) in the Popup-Menu
9. Klick outside the table 

P.S. Sorry for the confusion of the decimal separator, they should be the same in both tables. The attached file uses . as separator.
Comment 4 qqqqqqqqq9 2013-04-18 19:35:53 UTC
Created attachment 78194 [details]
example-odt
Comment 5 Joel Madero 2013-04-22 04:56:54 UTC
hm, still works perfect for me.

I downloaded sample file, highlighted 4 of the cells in row 3, right clicked, went to row -> delete row then clicked out of table, everything remained fine.



What version are you using now? 4.0.2.2 release?
Comment 6 qqqqqqqqq9 2013-04-22 13:41:21 UTC
Yes, I'm using 4.0.2.2. 
Today, I got my hands on a windows machine with the same version. I could not reproduce it on windows.
Comment 7 Joel Madero 2013-04-22 13:53:10 UTC
ah so it's machine specific. Try resetting your profile to see if that helps: 

https://wiki.documentfoundation.org/UserProfile


This now falls under WORKSFORME as it's clear it's specific to a single machine but I'll leave it open until we try a couple things to fix it on that machine
Comment 8 qqqqqqqqq9 2013-04-22 14:52:10 UTC
Hi, 

actually i issued 

/bin/rm -rf ~/.[!.]* 

for my test user, started a new kde-session for that user and still have the problem. If i open the file with a wrong regional scheme, it doesn't recognize the numbers. Should it do that?
Comment 9 Joel Madero 2013-04-22 15:10:44 UTC
hm, what do you mean doesn't recognize the #'s, and also wrong regional scheme where? It tools -> Options -> Languages?

What locale are you using? I want to track down the issue reported first
Comment 10 qqqqqqqqq9 2013-04-22 16:36:16 UTC
Created attachment 78335 [details]
environment-variables

I attached the output of export. However, in libreoffice i set 
Tools-Options-Language Settings-Locale-Setting to English(US)

The User Interface i set to German or English (UK). That makes no difference.

If i set Locale Setting to German, it does not recognize 12.33 as number and expects 12,33. Does LO really save the character (.) and not the logical function (decimal seperator) ?
Comment 11 Jorendc 2013-05-19 13:54:56 UTC
Okay, this was a very old UNCONFIRMED bug ... which I confirm right now that the result in the 3 cells is now a **Foutieve Expressie** (** Expression is faulty **) when deleting the 3th COLUMN (not ROW). 

Tested using Linux Mint 15 x64 with LibreOffice 4.0.3.3 and DUTCH UI (we use also a comma as decimal separator).

(In reply to comment #3)

> 6. Select all (or some) fields in line (or row) 3 in table 2
> 7. use Button 3 on those fields
> 8. select Zeile-Löschen (Row-Delete)(?) in the Popup-Menu

@bug reporter: are you sure you can reproduce this by deleting a ROW, not a column? I can not reproduce this behavior when I delete the 3th row.

Deleting the 3th COLUMN (NOT ROW) of the second table will result in this error (** Expression is faulty **)... but I think that's quite obvious, due the fact D1, E1 and F1 are all related to C1.

Kind regards,
Joren
Comment 12 Jorendc 2013-05-19 14:00:06 UTC
A dangit, I marked this bug as NEW, but I can not reproduce this bug when deleting the ROW (I can reproduce this when I delete the column). I'm going to do a workaround to mark this bug back to UNCONFIRMED. I'm sorry for the noise.
Comment 13 Thomas Hackert 2013-06-21 14:43:33 UTC
Hello qqqqqqqqq9, jorendc, *,
I can confirm this bug with LO Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 under Debian Testing AMD64 w/ Germanophone help- as well as langpack ... :(
I did the following:
1. Entered the values, qqqqqqqqq9 has entered (used commas in the second table)
2. Marked three cells in the third row of the second table
3. Clicked on "Delete Row" in the Table Toolbar below

LO immediatly shows "** Expression is faulty **"

LO: Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
OS: Debian Testing AMD64

Checked this with Germanophone UI as well as with the English one, both the same (though translated error message ... ;) ).

HTH
Thomas.
Comment 14 QA Administrators 2015-04-19 03:21:29 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2016-09-20 09:24:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920